<template>
  <v-container class="main-container">
    <v-row justify="center">
      <v-col cols="12" md="8" xl="6">
        <v-card class="pa-4">
          <v-row>
            <v-col cols="12" md="6">
              <v-img
                src="https://cdn.builder.io/api/v1/image/assets/TEMP/4d87686dd4cb24f7216c92037326078484e62a5a36b4dc6f58bff071f689c3d8?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9"
                :aspect-ratio="0.88"
                class="form-image"
              ></v-img>
            </v-col>
            <v-col cols="12" md="6">
              <v-card-text>
                <h1 class="form-title">FASCO</h1>
                <h2 class="form-subtitle">Create Account</h2>
              </v-card-text>
              <v-form @submit.prevent="createAccount" class="signup-form">
                <v-row dense>
                  <v-col cols="12" sm="6" class="form-group">
                    <v-text-field
                      v-model="firstName"
                      label="First Name"
                      outlined
                      hide-details
                    ></v-text-field>
                  </v-col>
                  <v-col cols="12" sm="6" class="form-group">
                    <v-text-field
                      v-model="lastName"
                      label="Last Name"
                      outlined
                      hide-details
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row dense>
                  <v-col cols="12" class="form-group">
                    <v-text-field
                      v-model="email"
                      label="Email Address"
                      outlined
                      hide-details
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row dense>
                  <v-col cols="12" class="form-group">
                    <v-text-field
                      v-model="phone"
                      label="Phone Number"
                      outlined
                      hide-details
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row dense>
                  <v-col cols="12" sm="6" class="form-group">
                    <v-text-field
                      v-model="password"
                      label="Password"
                      type="password"
                      outlined
                      hide-details
                    ></v-text-field>
                  </v-col>
                  <v-col cols="12" sm="6" class="form-group">
                    <v-text-field
                      v-model="confirmPassword"
                      label="Confirm Password"
                      type="password"
                      outlined
                      hide-details
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-btn type="submit" class="form-button" color="primary">
                  Create Account
                </v-btn>
                <v-card-text class="text-center mt-4">
                  <p class="login-prompt">
                    <span>Already have an account? </span>
                    <a href="#" class="login-link" @click="login">Login</a>
                  </p>
                  <p class="terms-conditions">FASCO Terms & Conditions</p>
                </v-card-text>
              </v-form>
            </v-col>
          </v-row>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  data() {
    return {
      firstName: "",
      lastName: "",
      email: "",
      phone: "",
      password: "",
      confirmPassword: "",
    };
  },
  methods: {
    signUpWithGoogle() {
      console.log("Sign up with Google");
    },
    signUpWithEmail() {
      console.log("Sign up with Email");
    },
    createAccount() {
      console.log("Account created");
    },
    login() {
      console.log("Login");
    },
  },
};
</script>

<style scoped>
.main-container {
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}
.form-title {
  font-family: "Volkhov", sans-serif;
  color: #484848;
  font-size: 67px;
}
.form-subtitle {
  font-family: "Volkhov", sans-serif;
  color: #000;
  font-size: 30px;
  margin-top: 20px;
}
.social-signup {
  display: flex;
  gap: 20px;
  margin: 20px 0;
}
.social-button {
  border: none;
  display: flex;
  align-items: center;
  gap: 10px;
}
.social-icon {
  width: 20px;
}
.signup-form {
  padding-top: 20px;
}
.divide {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 1px;
  background-color: #838383;
  width: 100%;
}
.divider {
  font-family: "Poppins", sans-serif;
  font-size: 24px;
  color: #838383;
  font-weight: 600;
  text-align: center;
  margin: 30px 0;
}
.form-group {
  margin-bottom: 20px;
}
.form-button {
  font-family: "Poppins", sans-serif;
  width: 100%;
  padding: 15px;
}
.login-prompt {
  margin-top: 20px;
}
.login-link {
  color: #5b86e5;
  text-decoration: none;
}
.terms-conditions {
  color: #5b86e5;
  text-align: center;
  margin-top: 20px;
}
</style>